- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ifr_visitor Class Reference

`#include <ifr_visitor.h>`

Inheritance diagram for ifr_visitor:

[legend]
Collaboration diagram for ifr_visitor:

[legend]
List of all members.

## Public Member Functions
| ifr_visitor (void)
virtual | ~ifr_visitor (void)
virtual int | visit_decl (AST_Decl *d)
virtual int | visit_scope (UTL_Scope *node)
virtual int | visit_type (AST_Type *node)
virtual int | visit_predefined_type (AST_PredefinedType *node)
virtual int | visit_module (AST_Module *node)
virtual int | visit_interface (AST_Interface *node)
virtual int | visit_interface_fwd (AST_InterfaceFwd *node)
virtual int | visit_valuebox (AST_ValueBox *node)
virtual int | visit_valuetype (AST_ValueType *node)
virtual int | visit_valuetype_fwd (AST_ValueTypeFwd *node)
virtual int | visit_component (AST_Component *node)
virtual int | visit_component_fwd (AST_ComponentFwd *node)
virtual int | visit_eventtype (AST_EventType *node)
virtual int | visit_eventtype_fwd (AST_EventTypeFwd *node)
virtual int | visit_home (AST_Home *node)
virtual int | visit_factory (AST_Factory *node)
virtual int | visit_structure (AST_Structure *node)
virtual int | visit_structure_fwd (AST_StructureFwd *node)
virtual int | visit_exception (AST_Exception *node)
virtual int | visit_expression (AST_Expression *node)
virtual int | visit_enum (AST_Enum *node)
virtual int | visit_operation (AST_Operation *node)
virtual int | visit_field (AST_Field *node)
virtual int | visit_argument (AST_Argument *node)
virtual int | visit_attribute (AST_Attribute *node)
virtual int | visit_union (AST_Union *node)
virtual int | visit_union_fwd (AST_UnionFwd *node)
virtual int | visit_union_branch (AST_UnionBranch *node)
virtual int | visit_union_label (AST_UnionLabel *node)
virtual int | visit_constant (AST_Constant *node)
virtual int | visit_enum_val (AST_EnumVal *node)
virtual int | visit_array (AST_Array *node)
virtual int | visit_sequence (AST_Sequence *node)
virtual int | visit_string (AST_String *node)
virtual int | visit_typedef (AST_Typedef *node)
virtual int | visit_root (AST_Root *node)
virtual int | visit_native (AST_Native *node)
ACE_Lock & | lock (void) const
## Private Attributes
ACE_Lock * | lock_

## Constructor & Destructor Documentation

ifr_visitor::ifr_visitor | ( | void |  | ) |

ifr_visitor::~ifr_visitor | ( | void |  | ) | `[virtual]`

## Member Function Documentation

ACE_Lock & ifr_visitor::lock | ( | void |  | ) | const

int ifr_visitor::visit_argument | ( | AST_Argument * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor_operation.

int ifr_visitor::visit_array | ( | AST_Array * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_attribute | ( | AST_Attribute * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_component | ( | AST_Component * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_component_fwd | ( | AST_ComponentFwd * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_constant | ( | AST_Constant * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_decl | ( | AST_Decl * | d | ) | `[virtual]`

int ifr_visitor::visit_enum | ( | AST_Enum * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor, ifr_adding_visitor_exception, ifr_adding_visitor_structure, and ifr_adding_visitor_union.

int ifr_visitor::visit_enum_val | ( | AST_EnumVal * | node | ) | `[virtual]`

int ifr_visitor::visit_eventtype | ( | AST_EventType * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_eventtype_fwd | ( | AST_EventTypeFwd * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_exception | ( | AST_Exception * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor, and ifr_adding_visitor_exception.

int ifr_visitor::visit_expression | ( | AST_Expression * | node | ) | `[virtual]`

int ifr_visitor::visit_factory | ( | AST_Factory * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_field | ( | AST_Field * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_home | ( | AST_Home * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_interface | ( | AST_Interface * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_interface_fwd | ( | AST_InterfaceFwd * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_module | ( | AST_Module * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_native | ( | AST_Native * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_operation | ( | AST_Operation * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor, and ifr_adding_visitor_operation.

int ifr_visitor::visit_predefined_type | ( | AST_PredefinedType * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_root | ( | AST_Root * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor, and ifr_removing_visitor.

int ifr_visitor::visit_scope | ( | UTL_Scope * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor, ifr_adding_visitor_exception, ifr_adding_visitor_structure, ifr_adding_visitor_union, and ifr_removing_visitor.

int ifr_visitor::visit_sequence | ( | AST_Sequence * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_string | ( | AST_String * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_structure | ( | AST_Structure * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor, ifr_adding_visitor_exception, ifr_adding_visitor_structure, and ifr_adding_visitor_union.

int ifr_visitor::visit_structure_fwd | ( | AST_StructureFwd * | node | ) | `[virtual]`

int ifr_visitor::visit_type | ( | AST_Type * | node | ) | `[virtual]`

int ifr_visitor::visit_typedef | ( | AST_Typedef * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_union | ( | AST_Union * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor, ifr_adding_visitor_exception, ifr_adding_visitor_structure, and ifr_adding_visitor_union.

int ifr_visitor::visit_union_branch | ( | AST_UnionBranch * | node | ) | `[virtual]`

int ifr_visitor::visit_union_fwd | ( | AST_UnionFwd * | node | ) | `[virtual]`

int ifr_visitor::visit_union_label | ( | AST_UnionLabel * | node | ) | `[virtual]`

int ifr_visitor::visit_valuebox | ( | AST_ValueBox * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_valuetype | ( | AST_ValueType * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

int ifr_visitor::visit_valuetype_fwd | ( | AST_ValueTypeFwd * | node | ) | `[virtual]`

Reimplemented in ifr_adding_visitor.

## Member Data Documentation

ACE_Lock* ifr_visitor::lock_`[private]`

The documentation for this class was generated from the following files:

- ifr_visitor.h
- ifr_visitor.cpp